Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.metadata
Class PortalLayoutMetaData

    java.lang.Object
      org.jboss.portal.theme.metadata.PortalLayoutMetaData

    public final class PortalLayoutMetaData

extends java.lang.Object

Meta data describing a portal layout.

here is an example for a layout descriptor:

nodesk /nodesk/index.jsp generic /layouts/generic/index.jsp /layouts/generic/maximized.jsp

Version:
  $Revision: 8784 $
Author:
  Martin Holzner

Constructor Summary
`PortalLayoutMetaData()`

Method Summary
`java.lang.String` | `getClassName()`
`java.util.Map` | `getLayoutURIStateMap()`
`java.lang.String` | `getName()`
`java.util.List` | `getRegionNames()`
`java.lang.String` | `getURI()`
`void` | `setClassName(java.lang.String className)`
`void` | `setName(java.lang.String name)`
`void` | `setURI(java.lang.String URI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalLayoutMetaData

    public PortalLayoutMetaData()

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of this layout

### setName

    public void setName(java.lang.String name)

### getURI

    public java.lang.String getURI()

  Returns:
    the URI for this layout as defined in the descriptor (this is the uri without a state attribute)

### setURI

    public void setURI(java.lang.String URI)

### getLayoutURIStateMap

    public java.util.Map getLayoutURIStateMap()

  Returns:
    a map of layout URIs (String) keyed by layout state (String) as defined in the layout descriptor

### getRegionNames

    public java.util.List getRegionNames()

  Returns:
    a list of the region names (of type String) of this layout as defined in the layout meta data

### getClassName

    public java.lang.String getClassName()

  Returns:
    the class name of the layout implementation to use

### setClassName

    public void setClassName(java.lang.String className)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD